package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityCollectionArticle;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommunityCollectionArticleMapper extends BaseMapper<CommunityCollectionArticle> {

    /**
     * 根据提供的ID去查询 关联表数据
     * @param userId
     * @param articleId
     * @return 返回一条 community_collection_article
     */
    List<CommunityCollectionArticle> selectUserCollectionArticle(
            @Param("userId")        Long userId,
            @Param("articleId")     Long articleId);
}
