package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.generator.domain.Community.CommunityCollectionArticle;
import com.ruoyi.generator.mapper.community.CommunityArticleTagMapper;
import com.ruoyi.generator.mapper.community.CommunityCollectionArticleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CommunityCollectionArticleImpl extends ServiceImpl<CommunityCollectionArticleMapper, CommunityCollectionArticle> implements ICommunityCollectionArticleService {

    @Autowired
    private CommunityCollectionArticleMapper communityCollectionArticleMapper;

    /**
     * 根据提供的ID去查询 关联表数据
     * @param userId
     * @param articleId
     * @return 返回一条 community_collection_article
     */
    @Override
    public List<CommunityCollectionArticle> selectUserCollectionArticle(Long userId,Long articleId) {
        return communityCollectionArticleMapper.selectUserCollectionArticle(userId,articleId);
    }
}
